package function.builtin;

import environment.Environment;
import function.*;
import sexpression.*;

public class PRINT extends LispFunction {

    private ArgumentValidator argumentValidator;
    private Environment environment;

    public PRINT() {
        this.argumentValidator = new ArgumentValidator("PRINT");
        this.argumentValidator.setExactNumberOfArguments(1);
        this.environment = Environment.getInstance();
    }

    public SExpression call(Cons argList) {
        SExpression argument = argList.getCar();
        environment.getOutput().println(argument);

        return argument;
    }

}
