package interpreter;

import java.io.*;

public interface LispInterpreterBuilder {

    void setInput(InputStream inputStream);

    void setOutput(PrintStream outputStream);

    void setErrorOutput(PrintStream errorOutputStream);

    void setTerminate(Runnable terminationFunction);

    void useFile(String fileName);

    LispInterpreter build();

}
