package function.builtin;

import function.*;
import sexpression.*;

public class EXIT extends LispFunction {

    private ArgumentValidator argumentValidator;

    public EXIT() {
        this.argumentValidator = new ArgumentValidator("EXIT");
        this.argumentValidator.setMaximumNumberOfArguments(0);
    }

    public SExpression call(Cons argumentList) {
        argumentValidator.validate(argumentList);
        System.exit(0);

        return null;
    }

}
